<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNext Method (IEdmStrLst5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmStrLst5 Interface : GetNext Method (IEdmStrLst5)

Visual Basic
C#
C++/CLI

poPos
  IEdmPos5; position of the next string in this list (see Remarks)

Gets the next string in this list.

# Syntax

Visual Basic |
--- | ---

    Function GetNext( _
       ByVal poPos As IEdmPos5 _
    ) As System.String

C# |
--- | ---

    System.string GetNext(
       IEdmPos5 poPos
    )

C++/CLI |
--- | ---

    System.String^ GetNext(
    &   IEdmPos5^ poPos
    )

#### Parameters

poPos
  IEdmPos5; position of the next string in this list (see Remarks)

#### Return Value

Next string in this list

# Example

See the IEdmStrLst5 examples.

# Remarks

Before calling this method the first time, you must populate poPosition with the interface to the position of the first string, IEdmPos5. Call IEdmStrLst5::GetHeadPosition to start an enumeration and obtain IEdmPos5.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the strings.

Be sure to call IEdmPos5::IsNull before you call this method to ensure you have not reached the end of the enumeration.

C++ programmers must free the returned pointer with a call to SysFreeString.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_END_OF_LIST: You have gone past the end of the list.

# See Also

####

IEdmStrLst5 Interface
IEdmStrLst5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2